VST 3 SDK VST 3.7 SDK for developing VST plug-in

Public Member Functions | Protected Attributes | List of all members
EditorView Class Reference
VST Implementation Helper Classes

View related to an edit controller. More...

`#include <vsteditcontroller.h>`

Inheritance diagram for EditorView:

## Public Member Functions
| EditorView (EditController *controller, ViewRect *size=nullptr)
| ~EditorView () override
EditController * | getController () const
| Gets its controller part. More...
void | attachedToParent () SMTG_OVERRIDE
void | removedFromParent () SMTG_OVERRIDE
Public Member Functions inherited from CPluginView
| CPluginView (const ViewRect *rect=nullptr)
| ~CPluginView () SMTG_OVERRIDE
const ViewRect & | getRect () const
| Returns its current frame rectangle. More...
void | setRect (const ViewRect &r)
| Sets a new frame rectangle. More...
bool | isAttached () const
| Checks if this view is attached to its parent view. More...
virtual void | attachedToParent ()
| Calls when this view will be attached to its parent view. More...
virtual void | removedFromParent ()
| Calls when this view will be removed from its parent view. More...
tresult | isPlatformTypeSupported (FIDString type) SMTG_OVERRIDE
tresult | attached (void *parent, FIDString type) SMTG_OVERRIDE
tresult | removed () SMTG_OVERRIDE
tresult | onWheel (float) SMTG_OVERRIDE
tresult | onKeyDown (char16, int16, int16) SMTG_OVERRIDE
tresult | onKeyUp (char16, int16, int16) SMTG_OVERRIDE
tresult | getSize (ViewRect *size) SMTG_OVERRIDE
tresult | onSize (ViewRect *newSize) SMTG_OVERRIDE
tresult | onFocus (TBool) SMTG_OVERRIDE
tresult | setFrame (IPlugFrame *frame) SMTG_OVERRIDE
tresult | canResize () SMTG_OVERRIDE
tresult | checkSizeConstraint (ViewRect *) SMTG_OVERRIDE
virtual tresult | isPlatformTypeSupported (FIDString type)=0
virtual tresult | attached (void *parent, FIDString type)=0
virtual tresult | removed ()=0
virtual tresult | onWheel (float distance)=0
virtual tresult | onKeyDown (char16 key, int16 keyCode, int16 modifiers)=0
virtual tresult | onKeyUp (char16 key, int16 keyCode, int16 modifiers)=0
virtual tresult | getSize (ViewRect *size)=0
virtual tresult | onSize (ViewRect *newSize)=0
virtual tresult | onFocus (TBool state)=0
virtual tresult | setFrame (IPlugFrame *frame)=0
virtual tresult | canResize ()=0
virtual tresult | checkSizeConstraint (ViewRect *rect)=0
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Protected Attributes
IPtr< EditController > | controller

## Additional Inherited Members
Public Attributes inherited from CPluginView
OBJ_METHODS(CPluginView, FObject) DEFINE_INTERFACES DEF_INTERFACE(IPlugView) END_DEFINE_INTERFACES(FObject) REFCOUNT_METHODS(FObject) protected void * | systemWindow {nullptr}
IPtr< IPlugFrame > | plugFrame
Static Public Attributes inherited from IPlugView
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

View related to an edit controller.

## Constructor & Destructor Documentation

## ◆ EditorView()

EditorView | ( | EditController * | controller,
|  | ViewRect * | size = `nullptr`
| ) |  |

## ◆ ~EditorView()

~EditorView | ( |  | ) |
| override

## Member Function Documentation

## ◆ getController()

EditController * getController | ( |  | ) | const
| inline

Gets its controller part.

## ◆ attachedToParent()

void attachedToParent | ( |  | ) |
| virtual

Reimplemented from CPluginView.

## ◆ removedFromParent()

void removedFromParent | ( |  | ) |
| virtual

Reimplemented from CPluginView.

## Member Data Documentation

## ◆ controller

IPtr<EditController> controller
| protected

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.